View Issue Details

IDProjectCategoryView StatusLast Update
0003350Composrcorepublic2020-03-25 19:00
ReporterChris GrahamAssigned ToChris Graham 
Severityfeature 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0003350: Pre-defined content system
DescriptionWe currently ship some pre-defined content for various systems:

1) Catalogues
a) FAQs
b) Links
c) ...

2) Banners
a) Advertise here
b) Donate
c) ...

3) Custom Profile Fields
a) Facebook
b) Twitter
c) ...

4) News categories

Rather than having the Setup Wizard allow deletion of default bundled content, have it so that the webmaster can quickly add it from the normal parts of the system. So the do-next managers of Catalogues/Banners/CPFs would have a new icon "Pre-defined". Click through it would have a selection list to define what pre-defined content to have there.
Additional InformationHave some clean API in addon registry hooks for adding/deleting the predefined content, similar to lorem-ipsum content.
TagsRoadmap: v11, Type: Usability (major)
Attach Tags
Time estimation (hours)8
Sponsorship open

Relationships

related to 0003351 resolvedChris Graham Installer and Setup Wizard simplification 
related to 0001965 resolvedChris Graham More default messaging apps and social networks in CPFs 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-11-05 19:40 Chris Graham New Issue
2017-11-05 19:41 Chris Graham Tag Attached: Type: Usability (major)
2017-11-05 19:47 Chris Graham Description Updated View Revisions
2017-11-05 19:51 Chris Graham Relationship added related to 0003351
2018-03-06 01:33 Chris Graham Relationship added related to 0001965
2019-06-27 19:09 Chris Graham Tag Attached: Roadmap: v11
2020-03-07 21:20 Chris Graham Assigned To => Chris Graham
2020-03-07 21:20 Chris Graham Status non-assigned => assigned
2020-03-25 19:00 Chris Graham Status assigned => resolved
2020-03-25 19:00 Chris Graham Resolution open => fixed